<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Notification Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * To use this package, you must install a license key file, whether you are on a paid license or a 30-day free trial. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or start a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * Adding a valid license key file ensures a seamless experience during the trial period&mdash;no watermarks, no warnings, and full access to all components and features.
> * Trial users can register for a free license key file. Without it, your trial may be interrupted by visual indicators or functionality limitations.
> * Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!
> * Learn more: https://www.telerik.com/kendo-angular-ui/components/licensing
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular Notification Component

The [Kendo UI for Angular Notification](https://www.telerik.com/kendo-angular-ui/components/notification) component displays a brief message to inform users about the status of a particular process, such as a successful update of data or an error message.

## Key Features

Among the many features which the Kendo UI for Angular Notification delivers are:

* [Types](https://www.telerik.com/kendo-angular-ui/components/notification/types)&mdash;The Notification component provides several built-in types that enable you to configure colors and styles for the most common scenarios like success, info, error, warning, and more.
* [Animations](https://www.telerik.com/kendo-angular-ui/components/notification/animations)&mdash;Allows you to use different built-in animation effects, which enable you to visualize the display and disappearance of the notifications.
* [Controlling the Content](https://www.telerik.com/kendo-angular-ui/components/notification/content)&mdash;The Notification provides options for controlling its content.
* [Positioning](https://www.telerik.com/kendo-angular-ui/components/notification/positioning)&mdash;Enables you to configure the notification to align to the browser's viewport or position the component to a specific container.
* [Hiding](https://www.telerik.com/kendo-angular-ui/components/notification/hiding-notifications)&mdash;Allows you to hide the Notification by defining a delay period before the hiding occurs or by defining a closable Notification component.
* [Appending to Dynamic Containers](https://www.telerik.com/kendo-angular-ui/components/notification/dynamic-containers)&mdash;The Notification component provides a service, that can be used to define a container to which the Notification will be appended.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Notification, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Notification](https://www.telerik.com/kendo-angular-ui/components/notification/installation/getting-started)
* [Notification Overview page](https://www.telerik.com/kendo-angular-ui/components/notification) and [Notification API reference](https://www.telerik.com/kendo-angular-ui/components/notification/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
