/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages, LocalizationService } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class LocalizedMessagesDirective extends ComponentMessages {
    protected service: LocalizationService;
    /**
     * The title of the close button.
     */
    closeTitle: string;
    constructor(service: LocalizationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalizedMessagesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LocalizedMessagesDirective, "[kendoNotificationLocalizedMessages]", never, { "closeTitle": { "alias": "closeTitle"; "required": false; }; }, {}, never, never, true, never>;
}
