/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies the position of the Notification in relation to the attached container
 * ([see example]({% slug positioning_notification %})).
 *
 * The available options are:
 * * `{ horizontal: 'left'|'center'|'right', vertical: 'top'|'bottom' }`
 */
export type Position = {
    horizontal: 'left' | 'center' | 'right';
    vertical: 'top' | 'bottom';
};
